Package skyview.geometry

# Class DepthSampler

java.lang.Object
skyview.geometry.DepthSampler

All Implemented Interfaces:
  `Serializable`, `Component`

public class DepthSampler extends Object implements Component
This class handles sampling in the depth dimension

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DepthSampler(double zero, double delta, int n)`
Generate an output image with the appropriate pixelization

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`Image`
`sample(Image in)`
Sample an image according the the input specification

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DepthSampler

public DepthSampler(double zero, double delta, int n)
Generate an output image with the appropriate pixelization

Note that there is a conflict in the way SkyView originally presented 3-D data. It indicated that one could specify bands 1-10 to get 10 bands, but that is a range of only 9 bands. This would be OK, except that it doesn't translate properly to physical units, i.e. 3000-4000 A. We try to handle all of this consistently now, so a user needs to specify bands 0-10 to get the same range.

Parameters:
  `zero` - : The beginning of the range to be sampled (in depth pixels).
  `delta` - : The size of the output pixels in terms of the input pixels.
  `n` - : The number of output bins.

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

Specified by:
  `getName` in interface `Component`

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

Specified by:
  `getDescription` in interface `Component`

### sample

public Image sample(Image in)
Sample an image according the the input specification